/*
ds14xxe.h
*/

#define DO_RESET		0
#define DO_BIT			1
#define DO_BYTE			2
#define TOGGLE_OVERDRIVE	3
#define TOGGLE_PASSTHRU		4
#define CHECK_BRICK		5
#define DO_BLOCK		6

/* These are on the data register */
#define DS1481_DCLK		0x02 /* D1 */
#define DS1481_RES		0x01 /* D0 */

/* This one is on the control register */
#define DS1481_ENI		0x02 /* /ALF (inverted at pin) */

/* These are on the status register */
#define DS1481_O1BSY		0x80 /* /BSY (inverted at pin) */
#define DS1481_O2BSY		0x10 /* OFON */

struct dow_struct
{
  int base;
};

#ifndef MIN
#define MIN(x,y)		(x < y)?x:y
#endif

#define DOW_BASE(minor)		(dow_table[(minor)].base)
#define DOW_STATUS(minor)	(dow_table[(minor)].base+1)
#define DOW_CONTROL(minor)	(dow_table[(minor)].base+2)
